using System;
using System.Linq;
using System.Net.Http;
using System.Web.Http;

namespace Project
{
    public class SettingController : BaseController
    {
        [HttpPost]
        public void Index([FromBody]string value)
        {

        }

        // PUT api/values/5
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/values/5
        public void Delete(int id)
        {
        }

        [HttpGet]
        public string Test()
        {
            return "test";
        }

        [HttpGet]
        public HttpResponseMessage Index()
        {
            //로그인이 되어있지않다면 로그인을 가져온다
            MethodResult result;
            result = View();

            var model = GetGlobalModel();
            var getParams = Request.GetQueryNameValuePairs();// GetParameters(data);

            //기본값을 찾아서 없애줘야한다
            var contents = result.Content;

            //공용값 적용
            ApplyCommonValue(ref contents);

            //최종문자 적용
            result.Content = contents;

            var resp = new HttpResponseMessage()
            {
                Content = new StringContent(
              result.Content,
              System.Text.Encoding.UTF8,
              "text/html")
            };

            return resp;
        }
      
    }
}
